Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Fixes gemspec

  • Loading branch information...
commit 52f01b49acf0ba30ff1d96baabb9e8337722299e 1 parent 7c03798
@tvdeyen tvdeyen authored
Showing with 18 additions and 6 deletions.
  1. +18 −6 sassy-buttons.gemspec
View
24 sassy-buttons.gemspec
@@ -1,13 +1,13 @@
Gem::Specification.new do |s|
# Release Specific Information
+ s.date = "2012-06-23"
s.version = "0.1.1"
- s.date = "2012-6-23"
# Gem Details
s.name = "sassy-buttons"
s.authors = ["Jared Hardy"]
- s.summary = %q{css only buttons extension for compass}
- s.description = %q{Sassy css3 buttons using compass}
+ s.summary = "css only buttons extension for compass"
+ s.description = "Sassy css3 buttons using compass"
s.email = "jared@jaredhardy.com"
s.homepage = "http://www.jaredhardy.com"
@@ -19,6 +19,18 @@ Gem::Specification.new do |s|
# Gem Bookkeeping
s.require_paths = ["lib"]
- s.rubygems_version = %q{1.3.6}
- s.add_dependency("compass", [">= 0.12.1"])
-end
+ s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
+
+ if s.respond_to? :specification_version then
+ s.specification_version = 3
+
+ if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
+ s.add_runtime_dependency(%q<compass>, [">= 0.12.1"])
+ else
+ s.add_dependency(%q<compass>, [">= 0.12.1"])
+ end
+ else
+ s.add_dependency(%q<compass>, [">= 0.12.1"])
+ end
+end
Please sign in to comment.
Something went wrong with that request. Please try again.